Class | ActionController::Routing::Optimisation::Optimiser
In: | lib/action_controller/routing/optimisations.rb
Parent: | Object

### Methods

applicable? generation_code guard_condition new source_code

### Attributes

kind | [R] |
route | [R] |

### Public Class methods

new(route, kind)

### Public Instance methods

applicable?()

Temporarily disabled `:url` optimisation pending proper solution to Issues around request.host etc.

generation_code()
guard_condition()
source_code()

[Validate]